pods::SDL::GFX::FPSManager(3pm)

NAME
SDL::GFX::FPSManager - data structure used by SDL::GFX::Framerate

CATEGORY
GFX, Structure

METHODS

  new
 use SDL;
 use SDL::GFX::Framerate;
 use SDL::GFX::FPSManager;

 my $fps = SDL::GFX::FPSManager->new(0, 0, 0, 0);

Initialize the framerate manager object. Arguments: framecount, rateticks, lastticks, rate.

  framecount
 my $fc = $fps->framecount;

Returns the "framecount".

  rateticks
 my $rt = $fps->rateticks;

Returns the "rateticks".

  lastticks
 my $lt = $fps->lastticks;

Returns the "lastticks".

  rate
 my $r = $fps->rate;

Returns the "rate".

AUTHORS
See "AUTHORS" in SDL.